### Hierarchy

- unknown
  - BlockChainExplorer

## Index

### Constructors

- constructor

### Methods

- getAddressUrl
- getName
- getTxUrl
- serializeBinary
- setAddressUrl
- setName
- setTxUrl
- toObject
- deserializeBinary
- deserializeBinaryFromReader
- serializeBinaryToWriter
- toObject

## Constructors

### constructor

- new BlockChainExplorer(): BlockChainExplorer

- Inherited from jspb.Message.constructor

  #### Returns BlockChainExplorer

## Methods

### getAddressUrl

- getAddressUrl(): string

- - Defined in src/protobuf/pb_pb.d.ts:7870

  #### Returns string

### getName

- getName(): string

- - Defined in src/protobuf/pb_pb.d.ts:7864

  #### Returns string

### getTxUrl

- getTxUrl(): string

- - Defined in src/protobuf/pb_pb.d.ts:7867

  #### Returns string

### serializeBinary

- serializeBinary(): Uint8Array

- - Defined in src/protobuf/pb_pb.d.ts:7873

  #### Returns Uint8Array

### setAddressUrl

- setAddressUrl(value: string): BlockChainExplorer

- - Defined in src/protobuf/pb_pb.d.ts:7871

  #### Parameters

  - ##### value: string

  #### Returns BlockChainExplorer

### setName

- setName(value: string): BlockChainExplorer

- - Defined in src/protobuf/pb_pb.d.ts:7865

  #### Parameters

  - ##### value: string

  #### Returns BlockChainExplorer

### setTxUrl

- setTxUrl(value: string): BlockChainExplorer

- - Defined in src/protobuf/pb_pb.d.ts:7868

  #### Parameters

  - ##### value: string

  #### Returns BlockChainExplorer

### toObject

- toObject(includeInstance?: boolean): BlockChainExplorer . AsObject

- - Defined in src/protobuf/pb_pb.d.ts:7874

  #### Parameters

  - ##### Optional includeInstance: boolean

  #### Returns BlockChainExplorer . AsObject

### Static deserializeBinary

- deserializeBinary(bytes: Uint8Array): BlockChainExplorer

- - Defined in src/protobuf/pb_pb.d.ts:7877

  #### Parameters

  - ##### bytes: Uint8Array

  #### Returns BlockChainExplorer

### Static deserializeBinaryFromReader

- deserializeBinaryFromReader(message: BlockChainExplorer, reader: BinaryReader): BlockChainExplorer

- - Defined in src/protobuf/pb_pb.d.ts:7878

  #### Parameters

  - ##### message: BlockChainExplorer

  - ##### reader: BinaryReader

  #### Returns BlockChainExplorer

### Static serializeBinaryToWriter

- serializeBinaryToWriter(message: BlockChainExplorer, writer: BinaryWriter): void

- - Defined in src/protobuf/pb_pb.d.ts:7876

  #### Parameters

  - ##### message: BlockChainExplorer

  - ##### writer: BinaryWriter

  #### Returns void

### Static toObject

- toObject(includeInstance: boolean, msg: BlockChainExplorer ): BlockChainExplorer . AsObject

- - Defined in src/protobuf/pb_pb.d.ts:7875

  #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: BlockChainExplorer

  #### Returns BlockChainExplorer . AsObject

Generated using TypeDoc